This document contains different information about the port
of PPCBoot for the OXC board designed by Lucent Technologies,
Inc.

1. Showing activity

PPCBoot for the OXC board can show its current status using
the Active LED. This feature is configured by the following
options:

CONFIG_SHOW_ACTIVITY

  When this option is on, the Active LED is blinking fast
when PPCBoot runs in the idle loop (i.e. waits for user
commands from serial console) and blinking slow when it
downloads an image over network. When PPCBoot loads an image
over serial line the Active LED does not blink and its state
is random (i.e. either constant on or constant off).

CONFIG_SHOW_BOOT_PROGRESS

  When this option is on, PPCBoot switches the Active LED
off before booting an image and switches it on if booting
failed due to some reasons.

